## libsoup2.4 2.52.0

=== debian/changelog ===
libsoup2.4 (2.52.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Track stable releases in debian/watch.

  [ Andreas Henriksson ]
  * New upstream release.
  * Add valac build-dependency for vapigen
    - soup now generates its own vapi
  * libsoup2.4-dev: ship generated vala api libsoup-2.4.vapi
  * Update debian/libsoup2.4-1.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 27 Sep 2015 13:57:47 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libsoup2.4
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               cdbs (>= 0.4.93~),
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.39.90),
               glib-networking (>= 2.32.0),
               libsqlite3-dev,
               libxml2-dev,
               gtk-doc-tools,
               shared-mime-info,
               libgirepository1.0-dev (>= 0.9.5),
               gobject-introspection (>= 0.9.12-4~),
               dbus,
               dbus-x11,
               xvfb,
               xauth,
               curl,
               valac
Build-Depends-Indep: libglib2.0-doc
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsoup2.4
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsoup2.4
Standards-Version: 3.9.6

Package: libsoup2.4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsoup2.4-1 (= ${binary:Version}),
         gir1.2-soup-2.4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.0),
         libxml2-dev
Suggests: libsoup2.4-doc
Replaces: gir-repository-dev
Description: HTTP library implementation in C -- Development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files.

Package: libsoup2.4-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (>= 2.32.0)
Description: HTTP library implementation in C -- Shared library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the shared library.

Package: libsoup2.4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsoup2.4-1 (= ${binary:Version}),
         ${misc:Depends}
Description: HTTP library implementation in C -- debugging symbols
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS.
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the debugging symbols.

Package: libsoup-gnome2.4-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: HTTP library implementation in C -- GNOME support library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 The GNOME support library is used for features which are important to
 GNOME apps, but which require GNOME-specific libraries that non-GNOME
 apps may not want to add dependencies on.
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the GNOME support shared library.

Package: libsoup-gnome2.4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsoup-gnome2.4-1 (= ${binary:Version}),
         libsoup2.4-dev (= ${binary:Version})
Suggests: libsoup2.4-doc
Replaces: gir-repository-dev (<< 0.6.5-7)
Description: HTTP library implementation in C -- GNOME support development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the Gtk+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 The GNOME support library is used for features which are important to
 GNOME apps, but which require GNOME-specific libraries that non-GNOME
 apps may not want to add dependencies on.
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files for the GNOME support.

Package: libsoup2.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libsoup2.4-dev
Description: HTTP library implementation in C -- API Reference
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the documentation.

Package: gir1.2-soup-2.4
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: gir1.2-soup-gnome-2.4
Conflicts: gir1.0-soup-2.4,
           gir1.0-soup-gnome-2.4
Description: GObject introspection data for the libsoup HTTP library
 This package contains introspection data for the libsoup HTTP library.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libsoup2.4 2.52.2

=== debian/changelog ===
libsoup2.4 (2.52.2-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Fail to handle empty hostnames
    - debian/patches/CVE-2018-12910.patch: fix in libsoup/soup-cookie-jar.c.
    - CVE-2018-12910

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 02 Jul 2018 12:35:26 -0300

libsoup2.4 (2.52.2-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: chunked encoding stack buffer overflow
    - debian/patches/CVE-2017-2885.patch: better boundary checking in
      soup-filter-input-stream.c
    - CVE-2017-2885

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 08 Aug 2017 21:36:58 -0700

libsoup2.4 (2.52.2-1ubuntu0.1) xenial-security; urgency=medium

  * debian/patches/new_samba_compat.patch: fix regression in NTLM
    authentication caused by Samba security update (LP: #1573494)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Apr 2016 10:10:48 -0400

libsoup2.4 (2.52.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove outdated comment from debian/rules.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2015 23:13:41 +0100

libsoup2.4 (2.52.1-1) unstable; urgency=medium

  [ Iain Lane ]
  * Run the testsuite verbosely to get info about failures

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete Conflicts and Replaces from pre-wheezy.

  [ Steven Chamberlain ]
  * Re-enable testsuite on non-Linux platforms.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 21:33:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                cdbs (>= 0.4.93~),
@@ -28,7 +29,7 @@
                valac
 Build-Depends-Indep: libglib2.0-doc
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsoup2.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsoup2.4
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsoup2.4
 Standards-Version: 3.9.6
 
 Package: libsoup2.4-dev
@@ -40,7 +41,6 @@
          libglib2.0-dev (>= 2.35.0),
          libxml2-dev
 Suggests: libsoup2.4-doc
-Replaces: gir-repository-dev
 Description: HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -161,7 +161,6 @@
          libsoup-gnome2.4-1 (= ${binary:Version}),
          libsoup2.4-dev (= ${binary:Version})
 Suggests: libsoup2.4-doc
-Replaces: gir-repository-dev (<< 0.6.5-7)
 Description: HTTP library implementation in C -- GNOME support development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -222,8 +221,6 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: gir1.2-soup-gnome-2.4
-Conflicts: gir1.0-soup-2.4,
-           gir1.0-soup-gnome-2.4
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
  .

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libsoup/([\d\.]+[02468])/libsoup-(.*)\.tar\.xz

## libsoup2.4 2.54.1

=== debian/changelog ===
libsoup2.4 (2.54.1-1) unstable; urgency=medium

  * New upstream release. Really closes: #821274, the previous upload was
    actually missing the patch.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 14:25:24 +0200

libsoup2.4 (2.54.0.1-2) unstable; urgency=medium

  * Fix SoupAuthClass size to undo ABI break with 2.54.0. Patch cherry-picked
    from upstream Git. (Closes: #821274)

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Apr 2016 18:35:49 +0200

libsoup2.4 (2.54.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop libsoup2.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libsoup2.4-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Add Homepage: field.
  * Use dbus-run-session to run the test suite and drop the no longer needed
    Build-Depends on xvfb, xauth and dbus-x11.
  * Switch from heimdal to krb5, which appears to be the more widely used
    Kerberos implementation.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 03:36:35 +0200

libsoup2.4 (2.53.92-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7
  * Add heimdal-dev build-dependency to enable GSS-Negotiate support
  * Update debian/libsoup2.4-1.symbols with three new additions

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 21:02:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -17,20 +16,19 @@
                glib-networking (>= 2.32.0),
                libsqlite3-dev,
                libxml2-dev,
+               libkrb5-dev,
                gtk-doc-tools,
                shared-mime-info,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
                dbus,
-               dbus-x11,
-               xvfb,
-               xauth,
                curl,
                valac
 Build-Depends-Indep: libglib2.0-doc
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsoup2.4
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsoup2.4
-Standards-Version: 3.9.6
+Homepage: https://wiki.gnome.org/Projects/libsoup
+Standards-Version: 3.9.8
 
 Package: libsoup2.4-dev
 Architecture: any
@@ -93,34 +91,6 @@
  .
  This package contains the shared library.
 
-Package: libsoup2.4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libsoup2.4-1 (= ${binary:Version}),
-         ${misc:Depends}
-Description: HTTP library implementation in C -- debugging symbols
- It was originally part of a SOAP (Simple Object Access Protocol)
- implementation called Soup, but the SOAP and non-SOAP parts have now been
- split into separate packages.
- .
- libsoup uses the Glib main loop and is designed to work well with GTK+
- applications.  This enables GNOME applications to access HTTP servers
- on the network in a completely asynchronous fashion, very similar to
- the GTK+ programming model (a synchronous operation mode is also
- supported for those who want it).
- .
- Features:
-  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
-  * Automatically caches connections
-  * SSL Support using GnuTLS.
-  * Proxy support, including authentication and SSL tunneling
-  * Client support for Digest, NTLM, and Basic authentication
-  * Server support for Digest and Basic authentication
-  * Basic client-side SOAP and XML-RPC support
- .
- This package contains the debugging symbols.
-
 Package: libsoup-gnome2.4-1
 Section: libs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_AUTORECONF_ARGS := --as-needed

GNOME_MODULE := libsoup

DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4

DEB_DH_STRIP_ARGS = --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
        --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
CHECK_HOME = $(CURDIR)/debian/tmp/home
common-build-arch common-build-indep:: debian/stamp-makefile-check
debian/stamp-makefile-check: debian/stamp-makefile-build
	mkdir -p $(CHECK_HOME)
	env HOME=$(CHECK_HOME) XDG_RUNTIME_DIR=$(CHECK_HOME) dbus-run-session -- $(MAKE) check VERBOSE=1
	touch $@

makefile-clean::
	rm -f debian/stamp-makefile-check
endif

## libsoup2.4 2.56.0

=== debian/changelog ===
libsoup2.4 (2.56.0-2+deb9u2) stretch-security; urgency=high

  * Fix out of bounds access in the cookie jar (CVE-2018-12910)
    - debian/patches/0001-cookie-jar-bail-if-hostname-is-an-empty-string.patch,
      debian/patches/0002-Add-soup_cookie_jar_get_cookies-with-empty-hostname-.patch:
      Cherry-pick two patches from upstream: the actual fix and a test for it.

 -- Iain Lane <laney@debian.org>  Tue, 03 Jul 2018 18:04:10 +0100

libsoup2.4 (2.56.0-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix chunked decoding buffer overrun (CVE-2017-2885)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 Aug 2017 16:31:37 +0200

libsoup2.4 (2.56.0-2) unstable; urgency=medium

  * Team upload
  * Add patches from upstream 2.57.1 to make freeing a SoupSession
    thread-safe, fixing one of several root causes of ostree test
    failures (see #827473 and
    https://github.com/ostreedev/ostree/issues/601).

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Dec 2016 17:10:16 +0000

libsoup2.4 (2.56.0-1) unstable; urgency=medium

  * New upstream release.
  * Install typelib files into multiarch paths.
  * Mark gir1.2-soup-2.4, libsoup2.4-dev and libsoup-gnome2.4-dev as
    Multi-Arch: same and libsoup2.4-doc as Multi-Arch: foreign.
  * Bump debhelper compat level to 10.
  * Update debian/libsoup2.4-1.symbols.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Sep 2016 19:50:52 +0200

libsoup2.4 (2.55.90-1) unstable; urgency=medium

  * New upstream beta release.
  * Convert from cdbs to dh.
  * Enable all hardening build flags.
  * Pass --as-needed to the linker to avoid unnecessary shlibs dependencies.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 14:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libsoup2.4
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
-               cdbs (>= 0.4.93~),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.39.90),
@@ -31,8 +29,9 @@
 Standards-Version: 3.9.8
 
 Package: libsoup2.4-dev
-Architecture: any
 Section: libdevel
+Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
          gir1.2-soup-2.4 (= ${binary:Version}),
@@ -125,8 +124,9 @@
  This package contains the GNOME support shared library.
 
 Package: libsoup-gnome2.4-dev
-Architecture: any
 Section: libdevel
+Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libsoup-gnome2.4-1 (= ${binary:Version}),
          libsoup2.4-dev (= ${binary:Version})
@@ -160,6 +160,7 @@
 Package: libsoup2.4-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: libsoup2.4-dev
 Description: HTTP library implementation in C -- API Reference
@@ -187,6 +188,7 @@
 Package: gir1.2-soup-2.4
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libsoup

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc

override_dh_strip:
	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

CHECK_HOME = $(CURDIR)/debian/tmp/home

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CHECK_HOME)
	env XDG_RUNTIME_DIR=$(CHECK_HOME) dbus-run-session -- $(MAKE) check VERBOSE=1
endif

## libsoup2.4 2.60.1

=== debian/changelog ===
libsoup2.4 (2.60.1-1ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: Fail to handle empty hostnames
    - debian/patches/CVE-2018-12910.patch: fix in libsoup/soup-cookie-jar.c.
    - CVE-2018-12910

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 02 Jul 2018 12:39:13 -0300

libsoup2.4 (2.60.1-1) unstable; urgency=medium

  * New upstream release (LP: #1717216)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Oct 2017 10:12:43 -0400

libsoup2.4 (2.60.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 11:03:12 -0400

libsoup2.4 (2.59.90.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied in new release
  * debian/libsoup2.4-1.symbols: Add new symbols
  * debian/control.in:
    - Build-depend on apache2 and php-xmlrpc for build tests
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 20:59:56 -0400

libsoup2.4 (2.56.1-1) unstable; urgency=high

  * New upstream release.
    + CVE-2017-2885: Fixed a chunked decoding buffer overrun that
      could be exploited against either clients or servers.
      Closes: #871650.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 Aug 2017 18:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-#
+# 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                intltool (>= 0.35.0),
@@ -19,6 +20,8 @@
                shared-mime-info,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
+               apache2 (>= 2.4) <!nocheck>,
+               php-xmlrpc <!nocheck>,
                dbus,
                curl,
                valac
@@ -26,7 +29,7 @@
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsoup2.4
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsoup2.4
 Homepage: https://wiki.gnome.org/Projects/libsoup
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: libsoup2.4-dev
 Section: libdevel

## libsoup2.4 2.60.2

=== debian/changelog ===
libsoup2.4 (2.60.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Oct 2017 23:21:09 +0100

## libsoup2.4 2.62.1

=== debian/changelog ===
libsoup2.4 (2.62.1-1ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: heap over-read in soup_ntlm_parse_challenge()
    - debian/patches/CVE-2019-17266.patch: avoid a potential heap buffer
      overflow in v2 authentication in libsoup/soup-auth-ntlm.c.
    - CVE-2019-17266

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Oct 2019 10:37:09 -0400

libsoup2.4 (2.62.1-1ubuntu0.3) bionic; urgency=medium

  * debian/patches/git_ntlmv2_support.patch:
    - update with an extra upstream tweak

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Jul 2019 20:36:23 +0200

libsoup2.4 (2.62.1-1ubuntu0.2) bionic; urgency=medium

  * debian/patches/git_ntlmv2_support.patch,
    debian/patches/git_ntlmv2_test.patch:
    - include upstream changes for NTLMv2 responses support, that's
      required for evolution-ews to be able to connect some exchange
      servers, also include corresponding code tests
      (lp: #1817537)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2019 17:00:43 +0200

libsoup2.4 (2.62.1-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Fail to handle empty hostnames
    - debian/patches/CVE-2018-12910.patch: fix in libsoup/soup-cookie-jar.c.
    - CVE-2018-12910

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 02 Jul 2018 12:42:47 -0300

libsoup2.4 (2.62.1-1) unstable; urgency=medium

  * New upstream release
  * Drop cookie-jar-use-base-domain.patch: Applied in new release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 14:47:57 -0400

libsoup2.4 (2.62.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable
  * Add cookie-jar-use-base-domain.patch:
    - proposed patch to treat cookies from the base domain as first party

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 14:31:25 -0400

libsoup2.4 (2.61.90-1) experimental; urgency=medium

  * New upstream release
  * debian/libsoup2.4-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Feb 2018 12:42:17 -0500

libsoup2.4 (2.60.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Jan 2018 09:24:30 -0500

libsoup2.4 (2.60.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-soup-2.4 Provides gir1.2-soupgnome-2.4, reflecting the fact
    that it contains both Soup-2.4.typelib and SoupGNOME-2.4.typelib.
  * Drop obsolete Provides on gir1.2-soup-gnome-2.4: nothing depends on
    it, and it does not match the naming scheme used in the g-i
    mini-policy.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 18:08:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libsoup2.4
@@ -8,7 +8,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.39.90),
@@ -26,10 +26,10 @@
                curl,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libsoup2.4
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libsoup2.4
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
+Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
-Standards-Version: 4.1.1
 
 Package: libsoup2.4-dev
 Section: libdevel
@@ -67,7 +67,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          glib-networking (>= 2.32.0)
@@ -97,7 +96,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: HTTP library implementation in C -- GNOME support library
@@ -195,7 +193,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Provides: gir1.2-soup-gnome-2.4
+Provides: gir1.2-soupgnome-2.4 (= ${binary:Version})
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

CHECK_HOME = $(CURDIR)/debian/tmp/home

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CHECK_HOME)
	env XDG_RUNTIME_DIR=$(CHECK_HOME) dbus-run-session -- $(MAKE) check VERBOSE=1
endif

=== debian/watch ===
version=4
https://download.gnome.org/sources/libsoup/([\d\.]+[02468])/ \
	libsoup@ANY_VERSION@\.tar\.xz

## libsoup2.4 2.64.1

=== debian/changelog ===
libsoup2.4 (2.64.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 11:20:40 -0400

libsoup2.4 (2.64.0-2) unstable; urgency=medium

  * Cherry-pick 6 commits with meson build fixes

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 17:58:53 -0400

libsoup2.4 (2.64.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * Release to unstable

  [ Iain Lane ]
  * Make the runtime directory with 0700 permissions
  * Use dh_auto_test not $(MAKE), since we're using meson now

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 09:33:53 -0400

libsoup2.4 (2.63.92-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 12:36:57 +0200

libsoup2.4 (2.63.90-1) experimental; urgency=medium

  * debian/{gbp.conf,control{,.in}}: Update for experimental.
  * New upstream release 2.63.90 (LP: #1786789)
    - Avoid unaligned memory accesses in WebSocket implementation
    - Bail out on cookie-jar calls with empty hostnames
    - Fix crash under soup_socket_new()
    - Fix critical warning in SoupSocket
    - Fix digest authentication with encoded URIs
    - Fixes to GObject-introspection
    - Fixes to the simple-httpd example
    - Fixes to xmlrpc-server test with PHP >= 7.2 and related
    - Many Coverity-found code fixes
    - Set default cookie path for NULL origins
    - Use atomic-refcounting in classes that are not using GObject-refcounting
    - Use base domain to decide if cookies are third-party
    - Use libpsl for the SoupTLD API instead of shipping a copy of the
      public-suffix list
  * debian/control.in:
    - Build-Depend on libpsl-dev per upstream.
    - Rules-Requires-Root: no - we don't need to be root to build/test.
    - Standards-Version → 4.2.0
  * debian/patches: Drop, included from upstream.

 -- Iain Lane <laney@debian.org>  Fri, 10 Aug 2018 13:29:19 +0100

libsoup2.4 (2.62.2-2) unstable; urgency=high

  * debian/patches/0001-cookie-jar-bail-if-hostname-is-an-empty-string.patch,
    debian/patches/0002-Add-soup_cookie_jar_get_cookies-with-empty-hostname-.patch:
    Cherry-pick two patches from upstream to fix an out of bounds access in
    the cookie jar (CVE-2018-12910).

 -- Iain Lane <laney@debian.org>  Thu, 28 Jun 2018 19:57:42 +0100

libsoup2.4 (2.62.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 May 2018 10:59:55 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
-               intltool (>= 0.35.0),
                libglib2.0-dev (>= 2.39.90),
                glib-networking (>= 2.32.0),
                libsqlite3-dev,
                libxml2-dev,
                libkrb5-dev,
+               libpsl-dev (>= 0.20),
                gtk-doc-tools,
+               meson (>= 0.47),
                shared-mime-info,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
@@ -26,10 +26,11 @@
                curl,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
+Rules-Requires-Root: no
 
 Package: libsoup2.4-dev
 Section: libdevel
@@ -205,4 +206,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddoc=true \
		-Dvapi=true

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
	env XDG_RUNTIME_DIR=$(CHECK_RUNTIME_DIR) dbus-run-session -- dh_auto_test
endif

## libsoup2.4 2.64.2

=== meson_options.txt ===
option('gssapi',
  type : 'boolean',
  value : true,
  description : 'Build with GSSAPI support'
)

option('krb5_config',
  type : 'string',
  value : '',
  description : 'Where to look for krb5-config, path points to krb5-config installation (defaultly looking in PATH)'
)

option('ntlm',
  type : 'boolean',
  value : false,
  description : 'Build with NTLM support'
)

option('ntlm_auth',
  type : 'string',
  value : 'ntlm_auth',
  description : 'Where to look for ntlm_auth, path points to ntlm_auth installation (defaultly looking in PATH)'
)

option('tls_check',
  type : 'boolean',
  value : true,
  description : 'Enable TLS support through glib-networking. If you are building a package, you can disable this to allow building libsoup anyway (since glib-networking is not actually required at compile time), but you should be sure to add a runtime dependency on it.'
)

option('gnome',
  type : 'boolean',
  value : true,
  description : 'Build libsoup with GNOME support'
)

option('introspection',
  type : 'boolean',
  value : true,
  description : 'Build GObject Introspection data'
)

option('vapi',
  type : 'boolean',
  value : false,
  description : 'Build Vala bindings'
)

option('doc',
  type: 'boolean',
  value: false,
  description: 'Enable generating the API reference'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests compilation'
)

=== debian/changelog ===
libsoup2.4 (2.64.2-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 23:09:24 -0500

libsoup2.4 (2.64.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Nov 2018 17:15:41 +0100

libsoup2.4 (2.64.1-3) unstable; urgency=medium

  * Modify skip-tls_interaction-test.patch:
    - Don't run the unreliable test

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 11:20:37 -0400

libsoup2.4 (2.64.1-2) unstable; urgency=medium

  * Build-Depend on php for build tests
  * Drop obsolete dh_auto_test override
  * Drop obsolete Build-Depends on shared-mime-info
  * Add skip-tls_interaction-test.patch:
    - Skip an unreliable build test

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 01:36:34 -0400

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,15 @@
                libpsl-dev (>= 0.20),
                gtk-doc-tools,
                meson (>= 0.47),
-               shared-mime-info,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
                apache2 (>= 2.4) <!nocheck>,
+               php <!nocheck>,
                php-xmlrpc <!nocheck>,
-               dbus,
-               curl,
+               curl <!nocheck>,
                valac
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
 Homepage: https://wiki.gnome.org/Projects/libsoup

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddoc=true \
		-Dvapi=true

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libsoup2.4-dbg (<< 2.54.0.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libsoup2.4 2.65.91

=== debian/changelog ===
libsoup2.4 (2.65.91-2) experimental; urgency=medium

  * Have libsoup2.4-dev depend on libpsl-dev & libsqlite3-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Feb 2019 19:19:55 -0500

libsoup2.4 (2.65.91-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Cherry-pick 2 patches to fix tests
  * debian/libsoup2.4-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Feb 2019 10:41:21 -0500

## libsoup2.4 2.66.0

=== debian/changelog ===
libsoup2.4 (2.66.0-1) experimental; urgency=medium

  * New upstream release
  * Drop the 2 patches to fix tests: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Mar 2019 06:18:51 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libglib2.0-dev (>= 2.39.90),
                glib-networking (>= 2.32.0),
                libsqlite3-dev,
@@ -18,7 +19,6 @@
                gtk-doc-tools,
                meson (>= 0.47),
                libgirepository1.0-dev (>= 0.9.5),
-               gobject-introspection (>= 0.9.12-4~),
                apache2 (>= 2.4) <!nocheck>,
                php <!nocheck>,
                php-xmlrpc <!nocheck>,
@@ -36,9 +36,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         libpsl-dev (>= 0.20),
          libsoup2.4-1 (= ${binary:Version}),
+         libsqlite3-dev,
          gir1.2-soup-2.4 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.35.0),
+         libglib2.0-dev (>= 2.38.0),
          libxml2-dev
 Suggests: libsoup2.4-doc
 Description: HTTP library implementation in C -- Development files

## libsoup2.4 2.66.1

=== debian/changelog ===
libsoup2.4 (2.66.1-1) experimental; urgency=medium

  * New upstream release
    + Code cleanups
    + Fix random CI failures due to parallel apache tests
    + Meson build system improvements
  * Bump meson BD per upstream

 -- Iain Lane <laney@debian.org>  Tue, 09 Apr 2019 12:09:51 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkrb5-dev,
                libpsl-dev (>= 0.20),
                gtk-doc-tools,
-               meson (>= 0.47),
+               meson (>= 0.48),
                libgirepository1.0-dev (>= 0.9.5),
                apache2 (>= 2.4) <!nocheck>,
                php <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libsoup2.4 2.67.3

=== debian/changelog ===
libsoup2.4 (2.67.3-1) experimental; urgency=medium

  * debian/watch: Find unstable versions
  * New upstream release
  * debian/rules: Explicilty enable the new brotli support
  * debian/rules: 'doc' is renamed to 'gtk_doc' in meson_options.txt
  * debian/libsoup2.4-1.symbols: Add new symbols introduced w/this release

 -- Iain Lane <iain.lane@canonical.com>  Fri, 19 Jul 2019 11:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends: debhelper (>= 11),
                dh-sequence-gir,
                dh-sequence-gnome,
+               libbrotli-dev,
                libglib2.0-dev (>= 2.39.90),
                glib-networking (>= 2.32.0),
                libsqlite3-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Ddoc=true \
+		-Dbrotli=true \
+		-Dgtk_doc=true \
 		-Dvapi=true
 
 override_dh_missing:
